Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1064941

Summary: [abrt] dconf-editor: _g_log_abort(): dconf-editor killed by SIGABRT
Product: [Fedora] Fedora Reporter: Michael Catanzaro <mcatanzaro>
Component: dconfAssignee: Matthias Clasen <mclasen>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 20CC: mclasen, rhughes
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
URL: https://retrace.fedoraproject.org/faf/reports/bthash/6bf92bbe10621edcab544e135b4d515812b6d8fd
Whiteboard: abrt_hash:98222dc0bf24968caa5c2a07d4db6909b0beb593
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-06-29 15:11:29 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Attachments:
Description Flags
File: backtrace
none
File: cgroup
none
File: core_backtrace
none
File: dso_list
none
File: environ
none
File: limits
none
File: maps
none
File: open_fds
none
File: proc_pid_status
none
File: var_log_messages none

Description Michael Catanzaro 2014-02-13 15:29:23 UTC
Description of problem:
100% reproducible, just attempt to view the key org.gnome.gedit.state.window side-panel-active-page

Version-Release number of selected component:
dconf-editor-0.18.0-2.fc20

Additional info:
reporter:       libreport-2.1.12
backtrace_rating: 4
cmdline:        dconf-editor
crash_function: _g_log_abort
executable:     /usr/bin/dconf-editor
kernel:         3.12.9-301.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 _g_log_abort at gmessages.c:255
 #5 g_variant_print_string at gvariant.c:2598
 #6 g_variant_print at gvariant.c:2625
 #7 configuration_editor_key_to_description at dconf-editor.c:991
 #8 configuration_editor_key_selected_cb at dconf-editor.c:1314
 #9 _configuration_editor_key_selected_cb_gtk_tree_selection_changed at dconf-editor.c:416
 #10 _g_closure_invoke_va at gclosure.c:840
 #13 _gtk_tree_selection_internal_select_node at gtktreeselection.c:1596
 #14 gtk_tree_view_real_set_cursor at gtktreeview.c:13148
 #15 gtk_tree_view_button_press at gtktreeview.c:3173

Comment 1 Michael Catanzaro 2014-02-13 15:29:26 UTC
Created attachment 862845 [details]
File: backtrace

Comment 2 Michael Catanzaro 2014-02-13 15:29:28 UTC
Created attachment 862846 [details]
File: cgroup

Comment 3 Michael Catanzaro 2014-02-13 15:29:30 UTC
Created attachment 862847 [details]
File: core_backtrace

Comment 4 Michael Catanzaro 2014-02-13 15:29:32 UTC
Created attachment 862848 [details]
File: dso_list

Comment 5 Michael Catanzaro 2014-02-13 15:29:34 UTC
Created attachment 862849 [details]
File: environ

Comment 6 Michael Catanzaro 2014-02-13 15:29:35 UTC
Created attachment 862850 [details]
File: limits

Comment 7 Michael Catanzaro 2014-02-13 15:29:37 UTC
Created attachment 862851 [details]
File: maps

Comment 8 Michael Catanzaro 2014-02-13 15:29:38 UTC
Created attachment 862852 [details]
File: open_fds

Comment 9 Michael Catanzaro 2014-02-13 15:29:40 UTC
Created attachment 862853 [details]
File: proc_pid_status

Comment 10 Michael Catanzaro 2014-02-13 15:29:42 UTC
Created attachment 862854 [details]
File: var_log_messages

Comment 11 Fedora End Of Life 2015-05-29 10:54:53 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 12 Fedora End Of Life 2015-06-29 15:11:29 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.